Error on upgrade to 2.5.0.a.20200210.1039



  • Was running previous snapshot 2.5.0.a.20200203.0059 and upgraded through the GUI to 2.5.0.a.20200210.1039. When it restarted I got several errors about the repository - has no meta file and the last line was an error "Parse error: syntax error, unexpected ']' in /etc/inc/filter.inc on line 2395". The result was the firewall would not start up.

    I did a fresh install of 2.5.0.a.20200210.1039 and on it's first restart gives the same error. I have not tried troubleshooting as this is my home network so I needed it up running again and went back to 2.5.0.a.20200203.0059 without any errors.



  • Yeah same here too, fix is to login via console 'Option 8' and use vi editor to remove the extra ']' symbol from lines 2395 and 2396, then reboot. and it boots normally.



  • same for me, although on line 2390 (but I am on 2.4.5-RC)
    Fixed it by removing two instances of "]" in the file and a reboot ;-)


  • Rebel Alliance Developer Netgate

    It's already been fixed in the repo, new images have been building for a while, should be up any time now.


Log in to reply